package com.pallas.ogsa.services.caservice;

import java.util.logging.Level;

import com.pallas.ogsa.server.Server;
import com.pallas.ogsa.server.ServerStartup;

/**
 *  Description of the Class
 *
 *@author     Ralf Ratering
 *@created    7. April 2003
 *@version    $Id: CAServiceStartup.java,v 1.4 2003/07/08 09:52:35 thomas Exp $
 */
public class CAServiceStartup extends ServerStartup {

	/**
	 *  The main program for the ServerFrame class
	 *
	 *@param  args  The command line arguments
	 */
	public static void main(String[] args) {
		CAServiceStartup serverStartup = new CAServiceStartup();
		try {
			String[] args1 = { "../etc/httpconfig.xml" };
			Server httpServer =
				serverStartup.attachServer(args1, "HTTP_Connector_1");

			// CA service for testgrid HTTP
			String caServiceName = "CAService";
			String caServiceDir = "unicore/services";
			httpServer.getDeployment().deploy(
				CAService.class.getName(),
				caServiceName,
				caServiceDir,
				ICAService.class, "per-access");

		} catch (Exception e) {
			logger.log(Level.SEVERE, "Could not start server.", e);
		}
	}
	/**
	 *  Constructor for the ServerFrame object
	 */
	public CAServiceStartup() {
		super();
	}

	/**
	 *  Description of the Method
	 */
	protected void deployService() {
		/*		String serviceName = "CAService";
				String serviceDir = "unicore/services";
				String url = server.getURL() + "/" + serviceDir + "/" + serviceName + "?WSDL";
				QName qname = new QName("http://services.ogsa.pallas.com", "CAService");
		
				Deployment deployment = new Deployment(server.getAxisServer()); 
				deployment.deploy(CAService.class.getName(), serviceName, serviceDir, ICAService.class); */
	}

}
