package com.pallas.ogsa.services.uplstatic;

/*
 UPLClient.java
 */
import org.apache.axis.AxisProperties;
import org.apache.axis.components.net.SecureSocketFactory;

import com.pallas.ogsa.services.uplstatic.*;
import org.unicore.ajo.*;
import org.unicore.*;
import org.unicore.upl.*;

import com.pallas.ogsa.util.ObjectWrapperBean;

public class UPLClient {
	public static void main(String [] args) throws Exception {


		// SSL stuff
/*		System.setProperty("javax,net.ssl.keyStore","client.keystore");
		System.setProperty("javax,net.ssl.trustStore","client.keystore");
		System.setProperty("javax,net.ssl.keyStorePassword","changeit");
		System.setProperty("javax,net.ssl.trustStorePassword","changeit");

		System.setProperty("java.protocol.handler.pkgs","com.sun.ssl.internal.www.protocol");
*/
		System.setProperty("org.apache.axis.components.net.SecureSocketFactory","com.pallas.ogsa.client.SunJSSESocketFactory");
		System.setProperty("axis.socketSecureFactory", "com.pallas.ogsa.client.SunJSSESocketFactory");

//		AxisProperties.setClassDefault(SecureSocketFactory.class, "com.pallas.ogsa.client.SunJSSESocketFactory");
		System.setProperty("clientauth","true");
		System.setProperty("keystore","client.keystore");
		System.setProperty("keystorePass","changeit");


		// create an rpc service
		IUPLService service = new IUPLServiceLocator();

		//get the deployed web service
		IUPL hw = service.getUPLService();

		AbstractJob job = new AbstractJob();
		AJOIdentifier id = job.getAJOId();
		ConsignJob cj = new ConsignJob();
		cj.setTarget(job.getAJOId());
		cj.setAJO(job.getConsignForm());

		//call the methods
		ObjectWrapperBean wrapper = new ObjectWrapperBean(cj);
		for(int j=0; j<2; j++) {
		ObjectWrapperBean result = hw.consign(wrapper);
		Reply reply = (Reply)result.deserialize();
		UnicoreResponse [] response =  reply.getTrace();
		for(int i=0; i<response.length; i++) {
			System.out.println("Consign result: "+response[i].getComment());
			}
}
		}
	}


