package com.pallas.ogsa.services.uplstatic;

import org.unicore.upl.Reply;
import org.unicore.upl.ServerRequest;
import java.io.*;

public class UPLWrapper implements Serializable  {

	private byte[] streamedBytes;
	private Reply reply;
	private ServerRequest job;
	private boolean hasStreamedBytes = false;

	public UPLWrapper () {}

	public void setStreamedBytes(byte [] bytes) {
		this.streamedBytes = bytes;
		this.hasStreamedBytes = true;
		}

	public void setReply(Reply reply) {
		this.reply = reply;
		}

	public void setJob(ServerRequest job) {
		this.job = job;
		}

	public byte [] getStreamedBytes() {
		return streamedBytes;
		}

	public Reply getReply() {
		return reply;
		}
		
	public ServerRequest getJob() {
		return job;
	}

	public boolean hasStreamedBytes() {
		return hasStreamedBytes;
		}
	}
