package com.pallas.unicore.client;


/**
 *  Strings for client classes
 *
 *@author     Ralf Ratering
 *@created    24. September 2001
 *@version    $Id: ResourceStrings.java,v 1.9 2003/06/30 06:51:55 rrate Exp $
 */
public class ResourceStrings extends java.util.ListResourceBundle {
    final static Object[][] contents = new String[][]{
            {"HELPSET_PATH", "com/pallas/unicore/doc/manual/help.hs"},
            {"COMMANDLINE_MODE", "Running in commandline mode"},
            {"PASSWORD_TITLE", "UNICOREpro: Keystore Password"},
            {"ENTER_KEYSTORE_PASSWORD", "Enter password to unlock keystore: "},
            {"WRONG_PASSWORD_2_TRIES", "Wrong password. 2 tries left."},
            {"WRONG_PASSWORD_LAST_TRY", "Wrong password. Last try..."},
            {"LOADING JOB", "Loading job ..."},
            {"CONTACTING_SITES", "Please wait while analyzing job..."},
            {"CONTACTING_SITES_EXPLICIT", "Contacting sites. This may take a while..."},
            {"UNICORE_JOBS_BINARY", "UNICOREpro jobs in binary format"},
            {"UNICORE_JOBS_XML", "UNICOREpro jobs in XML format"},
            {"OPEN_JOB_TITLE", "UNICOREpro: Open Job"},
            {"SAVE_JOB_TITLE", "UNICOREpro: Save Job As"},
            {"SAVE_JOB_FAILED", "Saving job failed: "},
            {"UNSAVED_JOBS", "The following jobs have been modified, but not saved:\n"},
            {"CLOSE_ANYWAY", "Do you want to close client window anyway?"},
            {"UNSAVED_JOBS_TITLE", "UNICOREpro: Unsaved Jobs"},
            {"EXIT", "Exit..."},
            {"EXIT_CONFIRM", "Exit UNICOREpro Client?"},
            {"EXIT_TITLE", "UNICOREpro: Exit"},
            {"PLUGIN_TITLE", "UNICOREpro: Plugin Info"},
            {"LOADED_PLUGINS", "Currently loaded plugins"},
            {"CLOSE", "Close"},
            {"FILE", "File"},
            {"JOB_PREPARATION", "Job Preparation"},
            {"JOB_CONTROL", "Job Control"},
            {"JOB_MONITORING", "Job Monitoring"},
            {"SETTINGS", "Settings"},
            {"EXTENSIONS", "Extensions"},
            {"HELP", "Help"},
            {"NEW_JOB", "New Job"},
            {"OPEN_JOB", "Open Job..."},
            {"SAVE_JOB", "Save Job"},
            {"SAVE_JOB_AS", "Save Job As..."},
            {"RECENT_FILES", "Recent Files"},
            {"RECENT_FILES_FILE", "RecentFiles.txt"},
            {"NEW_WINDOW", "New window"},
            {"ADD_JOB_GROUP", "Add Job"},
            {"ADD_IMPORT", "Add Import"},
            {"ADD_EXPORT", "Add Export"},
            {"ADD_TRANSFER", "Add Transfer"},
            {"ADD_FILEOPERATION", "Add File Operation"},
            {"CUT", "Cut"},
            {"COPY", "Copy"},
            {"PASTE", "Paste"},
            {"UNDO", "Undo"},
            {"REMOVE", "Remove"},
            {"SUBMIT", "Submit"},
            {"CHECK", "Check"},
            {"REFRESH", "Refresh"},
            {"FETCH_OUTPUT", "Fetch Output"},
            {"SHOW_LOG", "Show Log"},
            {"SHOW_DEPENDENCIES", "Show Dependencies"},
            {"SHOW_RESOURCES", "Show Resources"},
            {"DELETE_JOB", "Delete Job"},
            {"INTERRUPT_UPDATE", "InterruptUpdate"},
            {"ABORT_JOB", "Abort Job"},
            {"HOLD_JOB", "Hold Job"},
            {"RESUME_JOB", "Resume Job"},
            {"RELOAD_PLUGINS", "Reload Plugins"},
            {"CERTIFICATES", "Keystore Editor..."},
            {"USER_DEFAULTS", "User Defaults"},
            {"USER_GUIDE", "User Guide"},
            {"TUTOR", "Tutor"},
            {"PLUGIN_INFO", "Plugin Info"},
            {"SUBMIT_JOB_TIP", "Submit a job"},
            {"CHECK_JOB_TIP", "Check a job for correctness"},
            {"SORT_JOB_TIP", "Sort the tasks of a job"},
            {"REMOVE_NODE_TIP", "Remove a job or an action."},
            {"FETCH_OUTPUT_TIP", "Download standard output, standard error and exported files to the workstation"},
            {"REFRESH_TIP", "Refresh the status of the currently selected node in the job monitor"},
            {"REMOVE_TIP", "Remove a job and its data after it completed execution"},
            {"HELPSET_NOT_FOUND", "Help information not found, check URL "},
            {"HELPSET_NOT_OPENED", "Could not open Help Information \'"},
            {"DEFINE PASSWORD", "Define a password for the new UNICOREpro keystore."},
            {"NO_KEYSTORE_BUILT", "Could not build a new keystore: "},
            {"BUILD_KEYSTORE", "You do not have a UNICOREpro keystore yet\n"
             + "or  you were unable to unlock it.\n"
             + "Do you want a new empty keystore to be generated?"},
            {"BUILD_KEYSTORE_TITLE", "UNICOREpro: Generate new keystore"},
            {"COULD_NOT_LOAD_FILE", "Could not load file: "},
            {"PLUGIN_NOT_AVAILABLE", "Plugin not available: "},
            {"INCOMPATIBLE_JOB", "Incompatible Java class found while reading UNICOREpro job.\n"
             + "Possibly conflicting client versions.\n"
             + "Please contact your administrator."},
            {"ERROR_READING_JOB", "Error while reading UNICOREpro job: "},
            {"NEW_FILE_FORMAT", "**** loaded a \'new file format\' job."},
            {"SEARCHING_KEYSTORE", "Searching keystore..."},
            {"OPENING_KEYSTORE", "Opening keystore..."},
            {"LOADING_PLUGINS", "Loading plugins..."},
            {"ENABLING_MENUS", "Enabling menus..."},
            {"KEYSTORE_NOT_OPEN", "You did not unlock the keystore.\n"
             + "Check your keystore settings under Settings->Keystore Editor"},
            {"NO_KEYSTORE_EXISTS", "You do not have a UNICOREpro keystore for your certificates yet.\n"
             + "Setup your keystore under Settings->Keystore Editor"},
            {"NO_USER_CERT", "Cannot load user certificate from keystore"},
            {"CURRENT_VERSION", "Client Version: "},
            {"CURRENT_BUILD", "Client build: "},
            {"BUILD_DATE", "Build date: "},
            {"AJO_VERSION", "AJO version: "},
            {"AJO_BUILD", "AJO build: "},
            {"IMPLEMENTATION", "Implementation: Pallas GmbH"},
            {"UNICORE", "UNICOREpro "},
            {"ABOUT", "About UNICOREpro Client"},
            {"IS_CORRECT", " is correct!"},
            {"DIFFERENT_IDENTITY", "Job defined for different identity (certificate), reset to current identity now"},
            {"SET_EMAIL_DEFAULT", "Set email address to user default "},
            {"SET_XLOGIN_DEFAULT", "Set xlogin to user default "},
            {"SET_PROJECT_DEFAULT", "Set project to user default "},
            {"SET_IDENTITY", "Set Identity"},
            {"CREATE_NEW_KEYSTORE", "\nPlease create your new keystore under Settings->Keystore Editor"},
            {"TRY_AGAIN", "Please, try again."},
            {"BUILDING_EMPTY_KEYSTORE_FAILED", "Building an empty keystore failed. "},
            {"CERT_SERVICE_FAILED",
            "Error in communication with Certificate Service.\nPlease try again generating your test certificate. "},
            };


    /**
     *  Gets the Contents attribute of the ResourceStrings object
     *
     *@return    The Contents value
     */
    public Object[][] getContents() {
        return contents;
    }
}
