package com.pallas.unicore.client.panels;

/**
 * @author Ralf Ratering
 * @version $Id: Applyable.java,v 1.2 2003/06/30 06:54:44 rrate Exp $
 */
public interface Applyable {

	/**
	 *  This method gets executed whenever the panel contents will be applied to an object
	 */
	public void applyValues();

	/**
	 *  This method will be executed whenever a panel is filled with values
	 */
	public void resetValues();
	/**
	 *  This method will be executed whenever a panel
	 *  becomes visible
	 */
	public void updateValues();
}
