package com.pallas.unicore.client.plugins.command;

/**
 *  Strings for command plugin
 *
 *@author     Ralf Ratering
 *@created    26. September 2001
 *@version    $Id: ResourceStrings.java,v 1.3 2003/06/30 06:55:13 rrate Exp $
 */
public class ResourceStrings extends java.util.ListResourceBundle {
	final static Object[][] contents =
		new String[][] {
			{ "NO_SELECTION", "No commands or software resources selected." },
			{
			"NO_EXECUTABLE",
				"No executable or software resource was specified for the command task." },
				{
			"NO_RESOURCES", "No resources found." }, {
			"CANNOT_LOAD", "Cannot load default resources from " }, {
			"SOFTWARE_RESOURCE", "Software resource " }, {
			"STORAGE_RESOURCE", "Storage resource " }, {
			"NOT_AVAILABLE", " is not available at " }, {
			"MISSING_LOCALIMPORT", "File for command import not found: " }, {
			"SYSTEM_DEFAULTS",
				"Loading command plugin defaults failed, generating system defaults." },
				{
			"COULD_NOT_WRITE",
				"Could not write defaults for command plugin to file." },
				{
			"COULD_NOT_READ",
				"Could not read the following property from command defaults file: " },
				{
			"CHOOSE_DIR_TITLE", "UNICOREpro: Select Command Directory" }, {
			"DEFAULTS_TITLE", "UNICOREpro: Command Plugin Defaults" }, {
			"ENTER_VALUES",
				"Enter default values for UNICOREpro command plugin" },
				{
			"SUCCESS", "Successfully stored command plugin defaults." }, {
			"DIR_LABEL", "Command Directory: " }, {
			"STORE_CURRENT", "Save current settings as defaults to file" }, {
			"STORE_AND_CLOSE",
				"Save current settings as defaults to file and close dialog" },
				{
			"CLOSE", "Close dialog and dismiss changes" }, {
			"SELECT", "Select" }, {
			"ID_TIP", "Enter identifier for this command" }, {
			"FILENAME_TIP", "Executable file name." }, {
			"NAME_LABEL", "Task Name: " }, {
			"EDIT", "Edit Resources" }, {
			"BROWSE", "Browse" }, {
			"OPTIONS", "Options" }, {
			"IMPORTS", "File Imports" }, {
			"EXPORTS", "File Exports" }, {
			"BORDER", "Execute Command" }, {
			"INFO_STRING",
				"Execute Command Plugin V1.1\n (C)2002 Pallas GmbH" },
				{
			"ADD_ITEM", "Add Command" }, {
			"DEFAULT_ITEM", "Command Defaults" }, {
			"INITIAL_NAME", "New_Cmd" }
	};

	/**
	 *  Gets the Contents attribute of the ResourceStrings object
	 *
	 *@return    The Contents value
	 */
	public Object[][] getContents() {
		return contents;
	}
}
