package com.pallas.unicore.client.xml;

import java.lang.reflect.Field;


/**
 * Wrapper for Field objects which contains the XML name of the field
 *
 * Copyright:    Copyright (c) 2000
 * Company:      Pallas GmbH
 * @author
 * @version @version $Id: XMLObjectField.java,v 1.2 2003/06/30 06:56:46 rrate Exp $
 */


public class XMLObjectField {
    private String fieldNameXML;
    private Field field;


    XMLObjectField(String fieldNameXML,Field field) {
	this.fieldNameXML = fieldNameXML;
	this.field = field;
    }


    public Field getField() {
	return field;
    }


    public String getFieldNameXML() {
	return fieldNameXML;
    }
}

