package com.pallas.unicore.extensions;

/**
 *@author     Ralf Ratering
 *@created    17. Juli 2002
 *@version    $Id: FileTestType.java,v 1.2 2003/06/30 06:58:19 rrate Exp $
 */

public class FileTestType extends TestType {

	/**
	 *  Description of the Field
	 */
	public final static int EXISTING = 1,
		NOT_EXISTING = 2,
		READABLE = 3,
		WRITABLE = 4,
		EXECUTABLE = 5;

	final static long serialVersionUID = -1574937520450413106L;

	/**
	 *  Constructor for the FileTest object
	 *
	 *@param  value  Description of the Parameter
	 */
	public FileTestType(int value) {
		super(value);
	}

	/**
	 *  Description of the Method
	 *
	 *@return    Description of the Return Value
	 */
	public String toString() {
		switch (value) {
			case 0 :
				return "disabled";
			case 1 :
				return "file exists";
			case 2 :
				return "file not exists";
			case 3 :
				return "file is readable";
			case 4 :
				return "file is writable";
			case 5 :
				return "file is executable";
		}
		return "";
	}

}
