package com.pallas.unicore.extensions;

/**
 *@author     Ralf Ratering
 *@created    17. Juli 2002
 *@version    $Id: HoldJobTestType.java,v 1.2 2003/06/30 06:58:18 rrate Exp $
 */
public class HoldJobTestType extends TestType {

	/**
	 *  Description of the Field
	 */
	public final static int FOREVER = 1, UNTIL = 2;
	final static long serialVersionUID = -8285135217567809207L;

	/**
	 *  Constructor for the FileTest object
	 *
	 *@param  value  Description of the Parameter
	 */
	public HoldJobTestType(int value) {
		super(value);
	}

	/**
	 *  Description of the Method
	 *
	 *@return    Description of the Return Value
	 */
	public String toString() {
		switch (value) {
			case 0 :
				return "disabled";
			case 1 :
				return "forever";
			case 2 :
				return "until";
		}
		return "";
	}

}
