package com.pallas.unicore.requests;

import java.security.SecureRandom;

import com.pallas.unicore.resourcemanager.ResourceManager;

/**
 *@author     Thomas Kentemich
 *@created    August 15, 2001
 *@version    $Id: InitRandom.java,v 1.2 2003/06/30 06:57:57 rrate Exp $
 */
public class InitRandom extends Thread {

	/**
	 *  Description of the Method
	 *
	 */
	public void run() {
		byte bytes[] = new byte[20];
		setPriority(Thread.MIN_PRIORITY);
		SecureRandom sRand = new SecureRandom();
		sRand.setSeed(System.currentTimeMillis());
		ResourceManager.setSecureRandom(sRand);
		sRand.nextBytes(bytes);
	}

}
