package com.pallas.unicore.security;

import java.io.FilePermission;
import java.security.Permission;
import java.util.ResourceBundle;

/**
 *@author     Thomas Kentemich
 *@created    17. September 2001
 *@version    $Id: UnicoreSecurityManager.java,v 1.2 2003/06/30 06:58:46 rrate Exp $
 */
public class UnicoreSecurityManager extends SecurityManager {

	static ResourceBundle res =
		ResourceBundle.getBundle("com.pallas.unicore.security.ResourceStrings");

	/**
	 *  Constructor for the UnicoreSecurityManager object
	 */
	public UnicoreSecurityManager() {
		super();
	}

	public void checkPermission(Permission perm) {
		if (perm instanceof FilePermission) {
			//			System.out.println("CHECK: "+perm);
		}
		try {
			super.checkPermission(perm);
		} catch (SecurityException se) {
			System.out.println("Exception: " + se.getLocalizedMessage());
			//		throw new SecurityException(se.getLocalizedMessage());
		}
	}
	public void checkPermission(Permission perm, Object context) {
		try {
			super.checkPermission(perm, context);
		} catch (SecurityException se) {
			System.out.println(
				"Exception (context): " + se.getLocalizedMessage());
			//			throw new SecurityException(se.getLocalizedMessage());

		}
	}

}
