package com.pallas.unicore.utility;

import java.io.Serializable;

/**
 *  Serializable lock object
 *
 *@author     Thomas Kentemich
 *@created    17. September 2001
 *@version    $Id: SerialLock.java,v 1.2 2003/06/30 06:59:38 rrate Exp $
 */
public final class SerialLock extends Object implements Serializable {

	private transient int lockId;

	/**
	 *  Constructor for the SerialLock object
	 */
	public SerialLock() {
	}

	/**
	 *  Constructor for the SerialLock object
	 *
	 *@param  id  Description of Parameter
	 */
	public SerialLock(int id) {
		this.lockId = id;
	}

	/**
	 *  Gets the LockId attribute of the SerialLock object
	 *
	 *@return    The LockId value
	 */
	public int getLockId() {
		return lockId;
	}

}
