package com.pallas.unicore.utility;

/**
 *@author     Ralf Ratering
 *@created    9. Mai 2003
 *@version    $Id: StringTools.java,v 1.2 2003/06/30 06:59:37 rrate Exp $
 */
public class StringTools {

	/**
	 * Remove EOL and EOF characters from String
	 *
	 *@param  text  input String
	 *@return       output String
	 */
	public static String dos2Unix(String text) {
		String result = "";
		byte[] bytes = text.getBytes();
		for (int i = 0; i < bytes.length; i++) {
			// skip dos-sytle ^Ms (eol) and ^Zs (eof)
			if (bytes[i] != 13 && bytes[i] != 26) {
				result += (char) bytes[i];
			}
		}
		return result;
	}

	/**
	 *Constructor for the StringTools object
	 */
	private StringTools() {
	}
}
