package org.unicore.outcome;

import org.unicore.ajo.RenameFile;

/**
 * The status and logs of executing a {@link org.unicore.ajo.RenameFile}.
 *
 * @see org.unicore.ajo.RenameFile
 *
 * @author S. van den Berghe (fecit)
 *
 * @since AJO 3
 *
 * @version RenameFile_Outcome.java 1.6 05/13/02 
 * 
 **/
public class RenameFile_Outcome extends AbstractTask_Outcome {

    static final long serialVersionUID = 8550506312842206861L;

    public RenameFile_Outcome() {
        this(null,null);
    }

    /**
     * Create a new RenameFile_Outcome.
     * <p>
     * This will hold the standard information from {@link Outcome}.
     *
     * @param source The RenameFile for which this Outcome will hold the results.
     * @param initial The status of the RenameFile at the time that the Outcome is created.
     *
     **/
    public RenameFile_Outcome(RenameFile source, AbstractActionStatus initial) {
        super(source, initial);
    }

}
//
// Change history:
//          18 Mar 2002 SvdB V4 no arg constructor
//          26 Jun 2000 SvdB Renamed from rename
//           5 May 2000 SvdB Created
//
//             Copyright (c) UNICORE Forum e.V. 2000 - 2002
//
//     Use and distribution is subject to the Community Source Licence.
//     A copy of the Community Source Licence came with this distribution.
//
//     Further information can be obtained from www.unicore.org
