package org.unicore.outcome;

import org.unicore.ajo.WaitUntil;

/**
 * The result of executing a {@link org.unicore.ajo.WaitUntil}.
 *
 *
 * @see org.unicore.ajo.WaitUntil
 *
 * @author D. Snelling (fecit)
 * @author S. van den Berghe (fecit)
 * 
 * @since AJO 4.0
 *
 * @version WaitUntil_Outcome.java 1.1 06/13/02
 * 
 **/
public class WaitUntil_Outcome extends AbstractService_Outcome {

    static final long serialVersionUID = 0;

    public WaitUntil_Outcome() {
        this(null, null);
    }

    /**
     * Create a new WaitUntil_Outcome.
     * <p>
     * @param source The WaitUntil for which this Outcome will hold the results.
     * @param initial The status of the WaitUntil at the time that the Outcome is created.
     *
     **/
    public WaitUntil_Outcome(WaitUntil source, AbstractActionStatus initial_status) {
        super(source, initial_status);
    }

}
//
// Change history:
//          13 Jun 2002 SvdB Created
//
//             Copyright (c) UNICORE Forum e.V. 2000 - 2002
//
//     Use and distribution is subject to the Community Source Licence.
//     A copy of the Community Source Licence came with this distribution.
//
//     Further information can be obtained from www.unicore.org
