package com.pallas.ogsa.server;

import java.util.Date;
import java.util.Properties;

import javax.mail.Message;
import javax.mail.Session;
import javax.mail.Transport;
import javax.mail.internet.InternetAddress;
import javax.mail.internet.MimeMessage;

public class Reporter {
	static String msgText1 = "This is a message body.\nHere's line two.";
	static String msgText2 = "This is the text in the message attachment.";
	private String from = "unicadm@pallas.com";
	private String hostname;
	private String mailhost;
	private int port;

	private String to;

	public Reporter(String to, String mailhost, String hostname, int port) {
		this.to = to;
		this.mailhost = mailhost;
		this.hostname = hostname;
		this.port = port;
	}

	public void sendMessage(String message) throws Exception {

		boolean debug = false;

		// create some properties and get the default Session
		Properties props = new Properties();
		//		props.put("mail.smtp.host", mailhost);

		Session session = Session.getDefaultInstance(props, null);
		session.setDebug(debug);

		// create a message
		MimeMessage msg = new MimeMessage(session);
		//		msg.setFrom(new InternetAddress(from));
		InternetAddress[] address = { new InternetAddress(to)};
		msg.setRecipients(Message.RecipientType.TO, address);
		msg.setSubject("SERVER WATCHDOG [" + hostname + "/" + port + "] ");
		msg.setSentDate(new Date());

		msg.setText(message);
		// send the message
		Transport.send(msg);

	}
}
