package com.pallas.ogsa.services.caservice;

import java.rmi.Remote;
import java.rmi.RemoteException;

import com.pallas.ogsa.util.ObjectWrapperBean;

/**
 *  Description of the Interface
 *
 *@author     Ralf Ratering
 *@created    19. Februar 2003
 *@version    $Id: ICAService.java,v 1.2 2003/06/30 06:51:08 rrate Exp $
 */
public interface ICAService extends Remote {
	/**
	 *  Gets the cACertificate attribute of the ICAService object
	 *
	 *@return                      The cACertificate value
	 *@exception  RemoteException  Description of the Exception
	 */
	public ObjectWrapperBean getCACertificate() throws RemoteException;

	/**
	 *  Description of the Method
	 *
	 *@param  request              Description of the Parameter
	 *@return                      Description of the Return Value
	 *@exception  RemoteException  Description of the Exception
	 */
	public ObjectWrapperBean signRequest(byte[] csr) throws RemoteException;
}
