package com.pallas.ogsa.services.upl;

import java.rmi.Remote;
import java.rmi.RemoteException;

import com.pallas.ogsa.util.ObjectWrapperBean;

/**
 *  Description of the Interface
 *
 *@author     Ralf Ratering
 *@created    19. Februar 2003
 *@version    $Id: IUPL.java,v 1.2 2003/06/30 06:51:16 rrate Exp $
 */
public interface IUPL extends Remote {
	/**
	 *  Description of the Method
	 *
	 *@param  consignJobWrapper    Description of the Parameter
	 *@return                      Description of the Return Value
	 *@exception  RemoteException  Description of the Exception
	 */
	public ObjectWrapperBean consign(ObjectWrapperBean consignJobWrapper)
		throws RemoteException;

	/**
	 *  Description of the Method
	 *
	 *@param  ajoIdWrapper         Description of the Parameter
	 *@return                      Description of the Return Value
	 *@exception  RemoteException  Description of the Exception
	 */
	public ObjectWrapperBean retrieveOutcome(ObjectWrapperBean ajoIdWrapper)
		throws RemoteException;

	/**
	 *  Description of the Method
	 *
	 *@param  ajoIdWrapper         Description of the Parameter
	 *@return                      Description of the Return Value
	 *@exception  RemoteException  Description of the Exception
	 */
	public ObjectWrapperBean retrieveOutcomeAck(ObjectWrapperBean ajoIdWrapper)
		throws RemoteException;
}
