package com.pallas.unicore.client.editor;

import java.util.*;

/**
 *  Strings for dialogs
 *
 *@author     Ralf Ratering
 *@created    24. September 2001
 *@version    $Id: ResourceStrings.java,v 1.12 2003/06/27 12:27:29 thomas Exp $
 */
public class ResourceStrings
         extends java.util.ListResourceBundle {
    final static Object[][] contents = new String[][]{
            {"ADD", "Add to keystore"},
            {"ADD_TIP",
            "The plugin signer\'s certificate will be added to your UNICOREpro keystore"},
            {"ENTER_PASSWORD", "Enter Password: "},
            {"KEYSTORE_EDITOR_TITLE", "Keystore Editor"},
            {"IMPORTING_CERT", "Importing certificate..."},
            {"IMPORTING_KEYSTORE", "Importing keystore..."},
            {"IMPORT_FAILED", "Certificate import failed: "},
            {"SET_NEW_USER", "Set new user alias "},
            {"SET_DEFAULT_TITLE", "UNICOREpro: Set Default Alias"},
            {"ALIAS", "Alias: "},
            {"CERTIFICATES_TITLE", "UNICOREpro: Certificates"},
            {"CHECKING_CRL", "SPE: Checking Certificate Revocation List"},
            {"COULD_NOT_READ_CRL",
            "Could not read Certificate Revocation List\nPossible reasons:\n- wrong URL\n- wrong configuration " +
            "of proxy server"},
            {"PROBLEMS_READING", "Problems reading Certificate Revocation List."},
            {"WAIT_WHILE_UPDATING", "Please wait while updating keystore."},
            {"TEMPORARY_KEYSTORE",
            "Creating temporary keystore with default certificate..."},
            {"SETTING_DEFAULT", "Setting selected identity as default succeeded."},
            {"CHANGE_PASSWORD_TITLE", "UNICOREpro: Change keystore password"},
            {"PASSWORD_CHANGED", "Keystore password successfully changed!"},
            {"WRONG_PASSWORD", "Wrong keystore format or password!"},
            {"WRONG_PASSWORD_2_TRIES", "Wrong keystore format or password. 2 tries left."},
            {"WRONG_PASSWORD_LAST_TRY", "Wrong keystore format or password. Last try..."},
            {"COULD_NOT_CHANGE", "Could not change keystore password!"},
            {"FETCHING_CERT", "SPE: Fetching user certificate..."},
            {"OPEN_CERT", "UNICOREpro: Open user certificate"},
            {"CERT_NAME", "User\'s cert file name: \'"},
            {"UNLOCK_TITLE", "UNICOREpro: Unlock User Certificate"},
            {"WAIT_WHILE_PROCESSING", "Please wait while processing certificates..."},
            {"OPEN_TITLE", "UNICOREpro: Open certificate"},
            {"CANNOT_LOAD", "Cannot load certificate: "},
            {"KEYSTORE_INVALID", "Keystore invalid or not initialized."},
            {"EXPORTING_KEY", "Exporting public key"},
            {"EXPORTING_KEY_TITLE", "UNICOREpro: Export Public Key"},
            {"ADD_CERT_TIP", "Add a certificate in PEM format."},
            {"DETAILS", "Details"},
            {"DETAILS_TIP", "Show the selected certificate"},
            {"REMOVE", "Remove"},
            {"REMOVE_CERT", "Remove a certificate from the keystore"},
            {"TRUSTED_CERT", "Trusted certificates"},
            {"REJECTED_CERT", "Rejected entries"},
            {"ADD_KEYSTORE", "Merge keystore"},
            {"ADD_KEYSTORE_TIP", "Merge a JKS or PKCS12 type keystore."},
            {"REMOVE_TIP", "Remove a user certificate from the keystore"},
            {"SHOW_TIP", "Show details about the selected user certificate"},
            {"SET_DEFAULT", "Set as Default"},
            {"SET_DEFAULT_TIP", "Set the selected identity as new default identity."},
            {"CHECK_CRL", "Check CRL"},
            {"CHECK_CRL_TIP",
            "Check the selected certificate against the Certificate Revocation " +
            "List "},
            {"KEY_ENTRIES", "Key entries"},
            {"CHANGE_PASSWORD", "Change Password"}, {"EXPORTS", "Exports"},
            {"KEYSTORE", "Keystore"},
            {"CERT_REVOKED",
            "The selected certificate has been revoked.\nPlease contact your administrator " +
            "for more details."},
            {"CERT_NOT_REVOKED", "The selected certificate has not been revoked."},
            {"AS_DEFAULT", " as default?"},
            {"EXPORT_PUBLIC", "Export Public Key"},
            {"EXPORT_PUBLIC_TIP",
            "Export the public key of the selected certificate in DER format"},
            {"SAVE", "Save"}, {"CERTIFICATE", "Certificate"},
            {"SUBJECT", "Subject"}, {"EMAIL", "EmailAddress="},
            {"INFO", "Info"}, {"SERIAL", "Serial number: "},
            {"VALID", "Valid from "}, {"TO", " to "},
            {"SAVE_TITLE", "UNICOREpro: Save certificate to file"},
            {"LOG_TITLE", "UNICOREpro: Log for "},
            {"SAVE_LOG_TITLE", "UNICOREpro: Save log to file"},
            {"SYNTAX_ERROR", "Syntax error in URL!"},
            {"PASSWORD_ALIAS", "Password and alias must be specified!"},
            {"ENTER_PASSWORD_DETAILED", "Enter the password protecting the certificate: "},
            {"ENTER_ALIAS", "Alias for this Certificate: "},
            {"OPTIONAL_PASSOWRD", "Optional password to protect the private key: "},
            {"PASSWORD_TITLE", "UNICOREpro: Keystore Password"},
            {"DEFINE PASSWORD", "Define a password for the new UNICOREpro keystore."},
            {"NO_KEYSTORE_BUILT", "Could not build a new keystore: "},
            {"ALIASES_LOWER_CASE",
            "Aliases will be automatically converted to lower case"},
            {"SINGLE_ENTRY_AS_DEFAULT", "Single key entry is set as default identity."},
            {"DEFAULT_IDENTITY_UNKNOWN", "The UNICOREpro Client will not work properly, \n"+
            "if no key entry is set as default identity."},
            {"UNABLE_TO_SET_DEFAULT", "Unable to set default identity to "},
            {"KEYSTORE_NOT_COMPLETE", "Keystore is not complete. "},
            {"FAILED_TO_LOAD_CERT", "Failed to load certificate "},
            {"FAILED_TO_LOAD_KEYSTORE", "Failed to load keystore."},
            {"NO_KEYSTORE_DEFINED", "No keystore defined! \n Open a keystore first or create a new one."},
            {"UNABLE_TO_OPEN_KEYSTORE_FOR_MERGING", "Unable to open keystore for merging: "},
            {"UNABLE_TO_OPEN_KEYSTORE", "Unable to open keystore: "},
            {"COULD_NOT_EXPORT_CSR", "Could not export CSR "},
            {"COULD_NOT_EXPORT_CERT", "Could not export certificate "},
            {"COULD_NOT_READ_CERT", ": Could not read this certificate from keystore."},
            {"COULD_NOT_GENERATE_CERT_REQUEST", "Could not generate certification request. "},
            {"COULD_NOT_REMOVE_CERT", ": Could not remove this certificate from keystore."},
            {"COULD_NOT_CHANGE_PASSWD", "Could not change password. "},
            {"COULD_NOT_WRITE_TO_FILE", "Could not write keystore to file "},
            {"MERGING_KEYSTORE_FAILED", "Error in merging keystore."},
            {"CERT_SERVICE_FAILED",
            "Error in communication with Certificate Service.\nPlease try again generating your test certificate. "},
            {"CHANGE_ALIAS", "Change Alias"},
            {"CHANGE_ALIAS_TIP", "Changes the name of the entry"},
            {"CSR_DIALOG_TITLE", "Generate certification request"},
            {"INSTALLED_AS_DEFAULT", ": Should this new key entry be installed as default?"},
            {"INSTALLED_ONE_ENTRY_AS_DEFAULT" ,"Should one of the new key entries be installed as default?"},
            {"IS_SAVED_TO_KEYSTORE" ,": is saved to the keystore."}
            };


    /**
     *  Gets the Contents attribute of the ResourceStrings object
     *
     *@return    The Contents value
     */
    public Object[][] getContents() {
        return contents;
    }
}
