package com.pallas.unicore.client.graphics;

import java.awt.Color;
import java.awt.Graphics;

import javax.swing.JPanel;

/**
 *@author     Ralf Ratering
 *@created    21. August 2001
 *@version    $Id: Drawable.java,v 1.2 2003/06/30 06:53:58 rrate Exp $
 */
public interface Drawable {

	/**
	 *  Description of the Method
	 *
	 *@param  g      Description of Parameter
	 *@param  panel  Description of Parameter
	 */
	public void draw(Graphics g, JPanel panel);

	/**
	 *  Gets the Color attribute of the Drawable object
	 *
	 *@return    The Color value
	 */
	public Color getColor();
	/**
	 *  Sets the Color attribute of the Drawable object
	 *
	 *@param  color  The new Color value
	 */
	public void setColor(Color color);
}
