package com.pallas.unicore.client.panels;

import javax.swing.JPanel;

/**
 *@author     Ralf Ratering
 *@created    25. November 2002
 *@version    $Id: AdditionalOutcomePanel.java,v 1.2 2003/06/30 06:54:45 rrate Exp $
 */
public abstract class AdditionalOutcomePanel extends JPanel {

	/**
	 *  This method will be executed whenever a new outcome for the job arrives.
	 */
	public abstract void resetValues();
	/**
	 *  This method will be executed whenever the additional outcome panel
	 *  becomes visible, which is on the tabbed pane event.
	 */
	public abstract void updateValues();

}
