package com.pallas.unicore.client.plugins.proxycertificate;

import java.security.PrivateKey;
import java.security.cert.X509Certificate;
import java.io.FileOutputStream;

/**
 *  Title: UNICOREpro Description: Copyright: Copyright (c) 2001 Company: Pallas
 *
 *@author
 *@created    April 29, 2002
 *@version    $ID:$
 */

public interface IProxyCertificate {

    /**
     *  Returns a Globus proxy certifcate for the default identity
     *
     *@return    Description of the Return Value
     */
    public X509Certificate getProxyCertificate() throws Exception;
    public PrivateKey getPrivateKey();
    public long getValidFrom();
    public long getValidTo();
    public X509Certificate getUserCertificate();
    public boolean isLimited();
    public int getKeyLength();
    public void writePEM(FileOutputStream fos) throws Exception;


}
