package com.pallas.unicore.client.plugins.script;

/**
 *  Strings for script plugin
 *
 *@author     Ralf Ratering
 *@created    27. September 2001
 *@version    $Id: ResourceStrings.java,v 1.3 2003/06/30 06:55:38 rrate Exp $
 */
public class ResourceStrings extends java.util.ListResourceBundle {
	final static Object[][] contents =
		new String[][] {
			{ "MISSING_TYPE", "Missing entry for script type!" },
			{
			"MISSING_CONTENTS", "No script has been specified" }, {
			"SYSTEM_DEFAULTS",
				"Loading script plugin defaults failed, generating system defaults!" },
				{
			"COULD_NOT_WRITE",
				"Could not write defaults for script plugin to file" },
				{
			"COULD_NOT_READ",
				"Could not read the following property from script defaults file: " },
				{
			"WRONT_INT",
				"Invalid integer format in script default file for property:\n" },
				{
			"DIR_TITLE", "UNICOREpro: Select Script Directory" }, {
			"DEFAULTS_TITLE", "UNICOREpro: Script Plugin Defaults" }, {
			"ENTER_VALUES",
				"Enter default values for UNICOREpro script plugin" },
				{
			"SUCCESS", "Successfully saved script plugin defaults." }, {
			"SCRIPT_DIR", "Script Directory: " }, {
			"SCRIPT_TYPE", "Select default script type" }, {
			"SCRIPT_FONT", "Select default editor font" }, {
			"TYPE_LABEL", "Script Type: " }, {
			"FONT_LABEL", "Editor Font: " }, {
			"STORE_AND_CLOSE",
				"Store current settings as defaults to file and close dialog" },
				{
			"STORE_TIP", "Save current settings as defaults to file" }, {
			"CLOSE_TIP", "Close dialog and dismiss changes" }, {
			"SELECT", "Select" }, {
			"ENTER_ID", "Enter identifier for this script" }, {
			"CHOOSE_TYPE", "Choose the script type here" }, {
			"CHOOSE_NAME",
				"Script file name within your local or remote directory" },
				{
			"LOAD_LOCAL", "Load Local" }, {
			"LOAD_TIP",
				"Use this button to load a script file from your local file system" },
				{
			"SAVE", "Save" }, {
			"SAVE_TIP",
				"Use this button to save a script file under the previous name to "
					+ "your local file system" },
				{
			"SAVE_AS", "Save As" }, {
			"SAVE_AS_TIP",
				"Use this button to save a script file under a new name to your local "
					+ "file system" },
				{
			"EDIT", "Edit Resources" }, {
			"BROWSE", "Browse" }, {
			"BROWSE_TIP",
				"Use this button to browse a script file in the remote file system" },
				{
			"EDIT_TIP", "Edit script to be executed here. " }, {
			"SCRIPT_BORDER", "Script" }, {
			"SCRIPT_TITLE", "Script Editor" }, {
			"OPTIONS", "Options" }, {
			"IMPORTS", "File Imports" }, {
			"EXPORTS", "File Exports" }, {
			"EXECUTE_BORDER", "Execute Script" }, {
			"LOAD_TITLE", "UNICOREpro: Load local script" }, {
			"LOADING_FAILED", "Loading script failed: " }, {
			"SAVE_TITLE", "UNICOREpro: Save local script" }, {
			"SAVE_FAILED", "Saving script failed: " }, {
			"PLUGIN_INFO",
				"Execute Script Plugin V1.0\n(C)2001 Pallas GmbH" },
				{
			"ADD_ITEM", "Add Script" }, {
			"DEFAULT_ITEM", "Script Defaults" }, {
			"INITIAL_NAME", "New_Script" }, {
			"SCRIPT_TYPE_NOT_AVAILABLE", " is not available on this vsite!" }
	};

	/**
	 *  Gets the Contents attribute of the ResourceStrings object
	 *
	 *@return    The Contents value
	 */
	public Object[][] getContents() {
		return contents;
	}
}
