package com.pallas.unicore.client.trees;

/**
 * Strings for tree classes
 *
 *@author     Ralf Ratering
 *@created    27. September 2001
 *@version    $Id: ResourceStrings.java,v 1.4 2003/06/30 06:56:23 rrate Exp $
 */
public class ResourceStrings extends java.util.ListResourceBundle {
	final static Object[][] contents =
		new String[][] {
			{
				"NO_CERT_AVAILABLE",
				"Please import a user certificate into your keystore first!\n"
					+ "Select Settings->Keystore Editor." },
			{
			"JMC", "Job Monitoring" }, {
			"CONFIRM_DELETE", "Do you really want to delete the job\n" }, {
			"AT_VSITE", "\n at virtual site " }, {
			"DELETE_TITLE", "UNICOREpro: Delete Job" }, {
			"REFRESH", "Refresh" }, {
			"REFRESH_TIP", "Get job status from site" }, {
			"FETCH_OUTPUT", "Fetch Output" }, {
			"FETCH_OUTPUT_TIP", "Get output files from site" }, {
			"DELETE", "Delete Job" }, {
			"DELETE_TIP",
				"Remove job from site. Only allowed if job is not running." },
				{
			"INTERRUPT", "Stop Refresh" }, {
			"INTERRUPT_TIP", "Stop refreshing of tree node" }, {
			"ABORT", "Abort job" }, {
			"ABORT_TIP", "Abort job execution at site" }, {
			"HOLD", "Hold job" }, {
			"HOLD_TIP", "Hold job execution at site" }, {
			"RESUME", "Resume job" }, {
			"RESUME_TIP", "Resume execution of held job" }, {
			"CANNOT_DELETE", "Cannot delete the job:\n" }, {
			"CANNOT_CONTROL", "Cannot perform control action:\n" }, {
			"JPA", "Job Preparation" }, {
			"INITIAL_JOB", "New_Job" }, {
			"INITIAL_SUB_JOB", "New_Sub_Job" }, {
			"INITIAL_IMPORT", "New_Import" }, {
			"INITIAL_EXPORT", "New_Export" }, {
			"INITIAL_TRANSFER", "New_Transfer" }, {
			"INITIAL_FILEOP", "New_File_Op" }, {
			"CONFIRM REMOVE",
				"This node contains unsaved modifications.\nRemove it anyway?" },
				{
			"REMOVE_TITLE", "UNICOREpro: Confirm Remove" }, {
			"COULD_NOT_LOAD", "Could not load task of unknown type: \n" }, {
			"FROM_JOB", "\nfrom job group!" }, {
			"YES_STRING", "Yes" }, {
			"NO_STRING", "No" }, {
			"ALL_STRING", "All" }, {
			"DOWNLOAD_1", "Download " }, {
			"DOWNLOAD_2", " exists.\nDownload anyway?" }, {
			"FILE_EXISTS", "File Exists" }
	};

	/**
	 *  Gets the Contents attribute of the ResourceStrings object
	 *
	 *@return    The Contents value
	 */
	public Object[][] getContents() {
		return contents;
	}
}
