package com.pallas.unicore.client.util;

/**
 *  Strings for util classes
 *
 *@author     Ralf Ratering
 *@created    27. September 2001
 *@version    $Id: ResourceStrings.java,v 1.3 2003/06/30 06:56:35 rrate Exp $
 */
public class ResourceStrings extends java.util.ListResourceBundle {
	final static Object[][] contents =
		new String[][] { { "NOT_FOUND", "Plugin class not found!" }, {
			"CANNOT_CONVERT", "Cannot convert filename to URL: " }, {
			"CERT_ERROR", "Error in Certificate: " }, {
			"NO_PROVIDER", "Could not find certificate provider: " }, {
			"SIGNATURE_FAILED",
				"Failed to verify plugin signer certificate for " },
				{
			"CANNOT_LOAD", "Cannot load plugin class: " }, {
			"NOT SIGNED",
				" is not signed with a certificate chain of length 2" },
				{
			"ERROR_IN_JAR", "Error reading jar file: " }, {
			"PLUGIN_JAR", "Plugin jar " }, {
			"NOT_SIGNED", " seems to be not signed!" }, {
			"NO_HOME_DIR",
				"Cannot find user\'s home and username for UNICOREpro configuration directory!\n "
					+ "Choosing the current directory" },
				{
			"CREATE_DIRECTORY", "Creating the following directory: " }, {
			"GENERATING_DEFAULTS",
				"Loading user defaults failed, generating system defaults!" },
				{
			"COULD_NOT_WRITE", "Could not write user defaults to file" }, {
			"COULD_NOT_READ",
				"Could not read the following value from user defaults file: " },
				{
			"NO_PERMISSION",
				"Not allowed to determine user\'s home directory." },
				{
			"WRONG_INTEGER",
				"Invalid integer format in user default file for property: " },
				{
			"WRONG_DOUBLE",
				"Invalid double format in user default file for property: " },
				{
			"WRONG_BOOLEAN",
				"Invalid boolean format in user default file for property:" },
				};

	/**
	 *  Gets the Contents attribute of the ResourceStrings object
	 *
	 *@return    The Contents value
	 */
	public Object[][] getContents() {
		return contents;
	}
}
