package com.pallas.unicore.container;

import org.unicore.ajo.ForGroup;

import com.pallas.unicore.resourcemanager.ResourceManager;

/**
 *@author     Ralf Ratering
 *@author     Sven Haubold
 *@created    7. Mai 2002
 *@version    $Id: DoNContainer.java,v 1.2 2003/06/30 06:57:24 rrate Exp $
 */
public class DoNContainer extends GroupContainer {

	final static long serialVersionUID = -9063565457856815042L;

	private int iterations = 0;

	/**
	 *  Description of the Method
	 */
	public void buildActionGroup() {
		// build the action group
		ForGroup forGroup =
			new ForGroup(
				getName()
					+ "_FOR_GROUP_"
					+ ResourceManager.getNextObjectIdentifier());
		forGroup.setIterations(iterations);

		buildActionGroup(forGroup);
	}

	/**
	 *  Description of the Method
	 *
	 *@return    Description of the Returned Value
	 */
	public int getIterations() {
		return iterations;
	}

	/**
	 *  Description of the Method
	 *
	 *@param  iterations  The new iterations value
	 */
	public void setIterations(int iterations) {
		this.iterations = iterations;
	}

}
