package com.pallas.unicore.extensions;

/**
 *@author     Ralf Ratering
 *@created    17. Juli 2002
 *@version    $Id: TimeTestType.java,v 1.2 2003/06/30 06:58:15 rrate Exp $
 */

public class TimeTestType extends TestType {

	/**
	 *  Description of the Field
	 */
	public final static int AFTER = 1;

	final static long serialVersionUID = 3810281356941276271L;

	/**
	 *  Constructor for the TimeTestType object
	 *
	 *@param  value  Description of the Parameter
	 */
	public TimeTestType(int value) {
		super(value);
	}

	/**
	 *  Description of the Method
	 *
	 *@return    Description of the Return Value
	 */
	public String toString() {
		switch (value) {
			case 0 :
				return "disabled";
			case 1 :
				return "execution time after";
		}
		return "";
	}
}
