package com.pallas.unicore.requests;

import java.util.ListResourceBundle;

/**
 *  Strings for requests
 *
 *@author     Ralf Ratering
 *@created    28. September 2001
 *@version    $Id: ResourceStrings.java,v 1.2 2003/06/30 06:57:56 rrate Exp $
 */
public class ResourceStrings extends ListResourceBundle {
	final static Object[][] contents =
		new String[][] { { "OUTCOME_ERROR", "Error in job outcome!" }, {
			"UNSPOOL_ERROR", "Could not get file from spooling area: " }, {
			"UNSPOOL_REASON",
				"File does not exist or has already been retrieved." },
				{
			"NO_VSITE", "Failed to contact virtual site " }, {
			"NO_OUTCOME", "Job has no output!" }
	};

	/**
	 *  Gets the Contents attribute of the ResourceStrings object
	 *
	 *@return    The Contents value
	 */
	public Object[][] getContents() {
		return contents;
	}
}
