package com.pallas.unicore.resourcemanager;


/**
 *  Strings for resourcemanager classes
 *
 *@author     Ralf Ratering
 *@created    28. September 2001
 *@version    $Id: ResourceStrings.java,v 1.7 2003/07/09 08:55:41 rrate Exp $
 */
public class ResourceStrings extends java.util.ListResourceBundle {
	final static Object[][] contents = new String[][]{
			{"NO_USITES", "Cannot load UNICORE sites!\n Reason: "},
			{"NO_USITE_SELECTED", "No UNICORE site selected!"},
			{"NO_VSITE_SELECTED", "No virtual site selected!"},
			{"ERROR_IN_URL", "UNICOREpro: Error in URL"},
			{"NO_SSL_KEYSTORE", "Cannot access UNICOREpro keystore for default identity: "},
			{"NO_DEFAULT_CERT", "Cannot load certificate for default identity.\nSelect a new default " +
			"identity using Settings->Keystore Editor"},
			{"URL_REASONS", "\nPossible reasons: \n- wrong URL\n- wrong configuration of proxy server"},
			{"CANNOT_LOAD_VSITE", "Cannot load vsite information from "},
			{"VSITE_REASON", "\nReason: incompatiple AJO version: "},
			{"NO_GATEWAY", "Cannot contact gateway "},
			{"REASON", "\nReason: "},
			{"BOGUS_REPLY", "Invalid reply from  "},
			{"CONNECTION_REFUSED", "Connection refused by gateway "},
			{"WRONG_ADDRESS", "\nWrong address/port?"},
			{"AUTHENTICATION", "\nAuthentication problem?"},
			{"CANNOT_LOAD_VSITES", "Unable to load virtual sites from gateway "},
			{"EMPTY_REPLY", "Invalid reply from virtual site (NJS unreachable)"},
			{"MISSING_CLASS", "Missing java class! AJO version conflict?"},
			{"WRONG_CLASS", "Found java class of wrong type! AJO version conflict?"},
			{"INVALID_CLASS", "Found invalid java class! AJO version conflict?"},
			{"IO_EXCEPTION", "Input/Output error when reading from virtual site"},
			{"UNKNOWN_HOST", "Cannot resolve host address. "},
			{"WRONG_REPLY", "Invalid reply from virtual site!"},
                        {"TEST_CERT_DIALOG_TITLE", "Import test certificates"}
                        };


	/**
	 *  Gets the Contents attribute of the ResourceStrings object
	 *
	 *@return    The Contents value
	 */
	public Object[][] getContents() {
		return contents;
	}
}
