package com.pallas.unicore.threadpool;

/**
 *@author     Thomas Kentemich
 *@created    17. September 2001
 *@version    $Id: IObservable.java,v 1.2 2003/06/30 06:58:56 rrate Exp $
 */
public interface IObservable {
	/**
	 *  Adds a feature to the Observer attribute of the IObservable object
	 *
	 *@param  theObserver  The feature to be added to the Observer attribute
	 */
	void addObserver(IObserver theObserver);

	/**
	 *  Description of the Method
	 */
	void deleteAllObservers();

	/**
	 *  Description of the Method
	 *
	 *@param  theObserver  Description of Parameter
	 */
	void deleteObserver(IObserver theObserver);

	/**
	 *  Description of the Method
	 *
	 *@param  theObserved  Description of Parameter
	 *@param  changeCode   Description of Parameter
	 */
	void notifyObservers(Object theObserved, Object changeCode);
}
