package com.pallas.unicore.utility;

/**
 *  Description of the Class
 *
 *@author     Thomas Kentemich
 *@created    17. September 2001
 *@version    $Id: Version.java,v 1.9 2003/07/10 17:27:21 rrate Exp $
 */
public class Version {
	private static String _build = "3";
	private static String _date = "July 11, 2003";
	private static String _version = "1.0";

	/**
	 *  Description of the Method
	 *
	 *@return    Description of the Returned Value
	 */
	public final static String dotVersion() {
		return _version;
	}

	/**
	 *  Description of the Method
	 *
	 *@return    Description of the Returned Value
	 */
	public final static String fullVersion() {
		return _version + " build " + _build + " application edition";
	}

	/**
	 *  Gets the BuildDate attribute of the Version class
	 *
	 *@return    The BuildDate value
	 */
	public static String getBuildDate() {
		return _date;
	}

	/**
	 *  Gets the BuildNumber attribute of the Version class
	 *
	 *@return    The BuildNumber value
	 */
	public static String getBuildNumber() {
		return _build;
	}

	/**
	 *  Gets the CurrentVersion attribute of the Version class
	 *
	 *@param  complete  Description of Parameter
	 *@return           The CurrentVersion value
	 */
	public static String getCurrentVersion(boolean complete) {
		if (!complete) {
			return _version;
		}
		return _version + " b" + _build;
	}

	/**
	 *  Description of the Method
	 *
	 *@return    Description of the Returned Value
	 */
	public final static String spcVersion() {
		return _version + " build " + _build;
	}

}
