package org.unicore.outcome;

import org.unicore.ajo.ChangePermissions;

/**
 * The status and logs of executing a {@link org.unicore.ajo.ChangePermissions}
 *
 * @see org.unicore.ajo.ChangePermissions
 *
 * @author S. van den Berghe (fecit)
 *
 * @version ChangePermissions_Outcome.java 1.5 05/13/02 
 * 
 **/
public class ChangePermissions_Outcome extends AbstractTask_Outcome {

    static final long serialVersionUID = -8072528257248456478L;

    public ChangePermissions_Outcome() {
        this(null, null);
    }

    /**
     * Create a new ChangePermissions_Outcome.
     * <p>
     * This will hold the standard information from {@link Outcome}.
     *
     * @param source The ChangePermissions for which this Outcome will hold the results.
     * @param initial The status of the ChangePermissions at the time that the Outcome is created.
     *
     **/
    public ChangePermissions_Outcome(ChangePermissions source, AbstractActionStatus initial) {
        super(source, initial);
    }

}
//
// Change history:
//       18 Mar 2002 SvdB V4 no arg constructor
//        5 May 2000 SvdB, created
//
//             Copyright (c) UNICORE Forum e.V. 2000 - 2002
//
//     Use and distribution is subject to the Community Source Licence.
//     A copy of the Community Source Licence came with this distribution.
//
//     Further information can be obtained from www.unicore.org
